Bug 183269 - powernow-k8 cpu scaling not working
powernow-k8 cpu scaling not working
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-02-27 15:46 EST by Stuart Jansen
Modified: 2015-01-04 17:25 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-03 12:14:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stuart Jansen 2006-02-27 15:46:19 EST
Description of problem:
I am using the 32bit version of FC5t3 and CPU scaling doesn't work. This is a
very painful bug.

Version-Release number of selected component (if applicable):
kernel-2.6.15-1.1977_FC5 & kernel-2.6.15-1.1955_FC5

How reproducible:
Always.

Steps to Reproduce:
1. Boot listed kernel
2. dd if=/dev/urandom of=/dev/null
3. noticed unchanged cpu speed
  
Actual results:
scaling doesn't happen

Expected results:
cpu scales up to maximum speed

Additional info: 

kernel-2.6.15-1.1977_FC5 /var/log/messages
---------
Feb 25 15:06:12 vision kernel: powernow-k8: Found 1 AMD Athlon 64 / Opteron
processors (version 1.60.0)
Feb 25 15:06:12 vision kernel: powernow-k8:    0 : fid 0xe (2200 MHz), vid 0x2
(1500 mV)
Feb 25 15:06:12 vision kernel: powernow-k8:    1 : fid 0xa (1800 MHz), vid 0xa
(1300 mV)
Feb 25 15:06:12 vision kernel: powernow-k8:    2 : fid 0x0 (800 MHz), vid 0x12
(1100 mV)
Feb 25 15:06:12 vision kernel: cpu_init done, current fid 0x0, vid 0x12
*snip*
Feb 25 15:06:15 vision kernel: powernow-k8: vid trans failed, vid 0x11, curr 0x12
Feb 25 15:06:15 vision kernel: powernow-k8: transition frequency failed
---------

kernel-2.6.15-1.1955_FC5 /var/log/messages
---------
Feb 27 09:33:13 vision kernel: Initializing CPU#0
Feb 27 09:33:13 vision kernel: CPU 0 irqstacks, hard=c03c5000 soft=c03c4000
Feb 27 09:33:13 vision kernel: PID hash table entries: 4096 (order: 12, 65536 bytes)
Feb 27 09:33:13 vision kernel: Detected 798.036 MHz processor.
*snip*
Feb 27 09:33:13 vision kernel: CPU: AMD Athlon(tm) 64 Processor 3400+ stepping 0a
---------
Comment 1 Stuart Jansen 2006-03-01 13:40:04 EST
Looking at /boot/config* for both kernels, I now see that powernow-k8 (and most
other scaling code) is disabled. What the heck?! Please, please, please, please,
please ship a kernel with scaling support. Having a severely crippled cpu is not
fun. :-(
Comment 2 Stuart Jansen 2006-03-01 13:51:55 EST
Just to be absolutely clear, my processor is stuck at its lowest frequency.
Comment 3 Dave Jones 2006-03-01 23:58:55 EST
are you running the 586 version of the kernel ?
It's set to =y in the 686, 686-smp & x86-64 kernels.
Comment 4 Stuart Jansen 2006-03-03 12:09:41 EST
Sure enough, I had a 586 kernel. I reinstalled to see if it happened again. This
time I have a 686 kernel and cpu scaling is working. One difference is that I
installed rawhide instead of test 3.

Note You need to log in before you can comment on or make changes to this bug.